import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MaterialModule } from 'packages/commons/material/material.module';

import { InfraStoreModule } from './infra-store.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorSettingPageModule } from 'app/pages/sensor-setting/sensor-setting-page.module';
import { SensorModule } from '../sensor/sensor.module';
import { SettingComponent } from '../sensor/component/setting/setting.component';
import { FormsModule } from '@angular/forms';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    InfraStoreModule,
    SensorModule,
    FormsModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES
  ],
  entryComponents: [
    SettingComponent,
  ]
})
export class InfraModule { }
