import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MaterialModule } from 'packages/commons/material/material.module';

import { InfoTableModule } from 'packages/commons/component/info-table/info-table.module';
import { ConfirmDialogModule } from 'packages/commons/component/confirm-dialog/confirm-dialog.module';
import { ConfirmDialogComponent } from 'packages/commons/component/confirm-dialog/confirm-dialog.component';

import { COMPONENTS } from './component';
import { ProbeStoreModule } from './probe-store.module';
import { SERVICES } from './service';
import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';
import { DiscoveryModule } from '../discovery/discovery.module';


@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    InfoTableModule,
    ConfirmDialogModule,
    ProbeStoreModule,
    DiscoveryModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
  entryComponents: [
    ConfirmDialogComponent,
    DiscoverySettingComponent
  ]
})
export class ProbeModule { }
