import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';
import { MetaCrawler } from '../../../../meta/crawler/model/MetaCrawler';


@Component({
  selector: 'of-sensor-setting-etc',
  templateUrl: './setting-etc.component.html',
  styleUrls: ['./setting-etc.component.scss']
})
export class SettingETCComponent implements OnInit {

  @Input() selectedTarget;
  @Input() selectedCrawler: MetaCrawler;
  @Input() selectedItems;

  intervals = [
    '600 sec',
    '400 sec',
    '200 sec',
  ];

  targetInfo;

  constructor(private router: Router) { }

  ngOnInit() {
    this.targetInfo = [
      {
        key: 'IP',
        value: 'todo',
      },
      {
        key: 'Mac Address',
        value: 'todo',
      },
      {
        key: 'OS',
        value: 'todo',
      },
      {
        key: 'Crawler',
        value: this.selectedCrawler ? this.selectedCrawler.name : '',
      },
    ];
  }
}
